Skip to main content
POST
/
users
/
{userId}
/
categories
Create a custom user-level category
curl --request POST \
  --url https://east.sandbox.spade.com/users/{userId}/categories \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "parentId": "<string>"
}
'
import requests

url = "https://east.sandbox.spade.com/users/{userId}/categories"

payload = {
"name": "<string>",
"parentId": "<string>"
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', parentId: '<string>'})
};

fetch('https://east.sandbox.spade.com/users/{userId}/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "icon": "<string>",
  "fullCategoryHierarchy": [
    {
      "id": "<string>",
      "name": "<string>",
      "icon": "<string>"
    }
  ]
}
{
"invalidField": [
"<string>"
]
}
{
"details": "<string>"
}
{
"details": "<string>"
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

userId
string
required

The userId of the relevant user.

Body

application/json

Schema for creating a custom category.

name
string
required

The name of the category (must be unique per integration / user).

Example:

"Kitchen Remodel"

parentId
string
required

The ID of the new category's parent. Can be a Spade category ID (e.g. "011-000-000-000") or a custom category ID (e.g. "e4cf5379-583f-44ed-b625-366044e666e6").

Example:

"011-000-000-000"

Response

Successful operation

The newly created category.

id
string

A unique identifier for this category.

Example:

"4d5419f1-bcde-40f5-9168-7f8989b9c55f"

name
string

The category's name

Example:

"Kitchen Remodel"

icon
string<url> | null

The category's icon, potentially inherited from the parent category.

Example:

"https://static.v2.spadeapi.com/categories/ee4ee39fd5474d31ac42f9e606b9040a/light.png"

fullCategoryHierarchy
object[]

Array with increasingly specific category information.

Example:
[
{
"id": "011-000-000-000",
"name": "Retail",
"icon": "https://static.v2.spadeapi.com/categories/ee4ee39fd5474d31ac42f9e606b9040a/light.png"
},
{
"id": "4d5419f1-bcde-40f5-9168-7f8989b9c55f",
"name": "Kitchen Remodel",
"icon": "https://static.v2.spadeapi.com/categories/ee4ee39fd5474d31ac42f9e606b9040a/light.png"
}
]